package com.xxl.job.executor.report.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xxl.job.executor.entity.vo.BytedanceVideoVo;
import com.xxl.job.executor.report.entity.BytedanceReportMaterialDaily;
import com.xxl.job.executor.report.entity.BytedanceReportMaterialRetry;
import com.xxl.job.executor.report.entity.BytedanceReportVideoMaterialDaily;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 素材报表
 * @author: jeecg-boot
 * @date:   2020-04-16
 * @cersion: V1.0
 */
public interface BytedanceReportMaterialDailyMapper extends BaseMapper<BytedanceReportMaterialDaily> {

    void replaceIntoBatch(@Param("infos") List<BytedanceReportMaterialDaily> infos);

    void replaceIntoVideoMaterialBatch(@Param("infos") List<BytedanceReportVideoMaterialDaily> infos);

    void replaceMaterialRetry(@Param("retry") BytedanceReportMaterialRetry retry);

    List<BytedanceReportMaterialRetry> getRetryList();

    void updateRetry(@Param("retry") BytedanceReportMaterialRetry retry);

    List<BytedanceVideoVo> getVideoVoByDate(@Param("date") String date);

    void replaceImageBatch(@Param("infos") List<BytedanceReportMaterialDaily> bytedanceReportImageDailyList);
    void updateImageReportCode();
    void updateImageReportProjectId();
    void updateImageReportProjectName();
    void updateImageReportPlaneId();
    void updateImageReportPlaneName();
}
